/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//代码
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
   title:"接口日志",
   iconCls:$.getJwWindowPic(),
   url:'serviceLog/act_listServiceLog',
   queryParams : queryData,//查询参数
   rownumbers : true,//显示索引号
   singleSelect : false,//是否多选
   fitColumns : false,//是否撑满
   autoRowHeight : 30,//设定高度
   pagination : true,//分页显示
   pageSize : rows,//显示行数
   pageList : listPageSize,//条数选择
   striped : true, //是否隔行显示
   remoteSort : false,//是否从服务器排序
   frozenColumns : [[
 			{
 				field : 'ck',
 				checkbox : true
 			}
// 			,
// 			{
// 				field : 'option',
// 				title : '操作',
// 				width : 80,
// 				align : 'center',
// 				formatter : formatMenu
// 			}
         		   ]],
   columns:[[
            {
				field : 'USERNAME',
				title : '调用用户',
				width : 120,
				align : 'center'
			}, {
				field : 'INTERFACE',
				title : '调用接口',
				width : 250,
				align : 'center'
			}, {
				field : 'METHOD',
				title : '调用方法',
				width : 120,
				align : 'center'
			}, {
				field : 'PAGENO',
				title : '页码',
				width : 80,
				align : 'center'
			}, {
				field : 'PAGESIZE',
				title : '记录数',
				width : 80,
				align : 'center'
			},{
				field : 'CREATE_TIME',
				title : '调用时间',
				width : 100,
				align : 'center'
			}
             ]],
             toolbar : '#tb',
 			 onLoadSuccess : function() {
 				createOptionMenuTooltip();
 			}
 	});
 	/****/

 	/**
 	 * 序号：4
 	 * 功能：设置主页面操作列菜单
 	 * 参数：
 	 * 说明：
 	 * 作者：高伟杰
 	 * 时间：2016-01-22
 	 * 单位：宁波金网
 	 * 备注：需更改
 	 **/
 	//操用列显示更多(一般情况下无需更改)
 	function formatMenu(value, data,index) {
 		var returnData="";
 		return  returnData
 		      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
 		      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
 	}
 	//菜单更多上浮横向菜单集(无需更改)
 	function createOptionMenuTooltip() {
 		$('#list').datagrid('getPanel').find('.easyui-tooltip').each(
 				function() {
 					var index = parseInt($(this).attr('data-p1'));
 					$(this).tooltip({
 						content : $('<div></div>'),
 						onUpdate : function(cc) {
 							var row = $('#list').datagrid('getRows')[index];
 							var content = getOptionMenu(row,index);
 							var mCount = getOptionMenuCount();
 							cc.css("border","0").panel({
 								width : (70 * mCount),
 								content : content
 							});
 						},
 						position : 'right',
 						deltaX : -20,
 						onShow : function() {
 							var t = $(this);
 							t.tooltip('tip').css( {
 								backgroundColor : '#ffffff'
 									}).unbind().bind('mouseenter', function() {
 								t.tooltip('show');
 							}).bind('mouseleave', function() {
 								t.tooltip('hide');
 							});
 						}
 					});
 				});
 	}

 	//上浮横向菜单集里的具体菜单项(需更改)
 	function getOptionMenu(data,index){
 		var returnData= "";
 		return returnData;
 	}

 	//返回菜单集的菜单个数(需更改)
 	function getOptionMenuCount(){
 		var is_menu_count = 0;
 		return is_menu_count;
 	}
 	/****/
 	
 	/**
	 * 序号：5
	 * 功能：新增修改弹出
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
 	//代码
 	/****/
 	
 	/**
	 * 序号：6
	 * 功能：单个删除
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/

 	//代码
 	/****/
 	
 	/**
	 * 序号：7
	 * 功能：批量删除
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
 	
 	//代码
 	/****/
 	
 	/**
	 * 序号：8
	 * 功能：刷新
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function refreshRow(){
		$('#list').datagrid('load',{});
		$("#listLogServicetab_searchForm")[0].reset();
	}
	/****/

	/**
	 * 序号：9
	 * 功能：查询
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function searchRow(){
		var v_query = $("#listLogServicetab_searchForm").getFormVal();
		$('#list').datagrid('load',v_query);
	}
	/****/
